Loading...
Searching...
No Matches
DatasourceProvider Namespace Reference

The DatasourceProvider namespace contains all the objects in the DatasourceProvider module. More...

## Functions

*hash< string, string > | get_ds_hash (*bool verbose)
| Returns all datasource supported with their connection strings prefixed by `"db://"`.
string | get_ds_string (string str, *bool verbose)
| Returns a datasource connection string.

## Detailed Description

The DatasourceProvider namespace contains all the objects in the DatasourceProvider module.

## Function Documentation

## get_ds_string()

string DatasourceProvider::get_ds_string | ( | string | str,
|  | *bool | verbose
| ) |  |

Returns a datasource connection string.

Example:
  string connstr = get_ds_string(str);

Parameters

  str | the identifier or datasource connection string
  verbose | display datasource provider module errors on stdout (otherwise errors are ignored)

Returns
  the datasource connection string

Exceptions

  DATASOURCE-ERROR | the connection string cannot be matched as an external datasource identifier by a datasource provider module and there is no driver specification in the string (ex: `"driver:..."`)

Note
  - datasource provider modules are processed in the order they are declared with the `QORE_DATASOURCE_PROVIDERS` environment variable; datasource provider modules must be separated with PathSep characters
  - no database connection is attempted with this function call

See also
  Datasource Provider Modules